# @(#) Makefile
# @(#) Mynor Ramirez 
# @(#) Mantenimiento de tipos de documento x punto de venta

# Programas 
NAME     = tdocsxpos.4ge 
OBJFILES = facglo003.4gl facmae003.4gl facqbe003.4gl 
FRMFILES = facmae003a.per 
LIBFILES = ../../lib/libgrales.42x 

# Compilando y linkeando programas 
all:
	@make -f ../../cmd/prog4js NAME="$(NAME)" \
        LIBFILES="$(LIBFILES)" OBJFILES="$(OBJFILES)" \
        FRMFILES="$(FRMFILES)" $(NAME)
	cp *42m *42f *42r ../bin

# Compilando formas
form:
	@make -f ../../cmd/prog4js $(FRMFILES) 

# Limpiando archivos de compilacion
clean: 
	@make -f ../../cmd/prog4js clean 
